Bug 1250700 - [abrt] dnf: base.py:122:_add_repo_to_sack:AssertionError: Can not load Yum repo.
[abrt] dnf: base.py:122:_add_repo_to_sack:AssertionError: Can not load Yum repo.
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: dnf (Show other bugs)
21
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:1af8a40aac7906bb97b79819340...
:
: 1258257 1274999 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-05 15:02 EDT by Emilio
Modified: 2017-02-13 07:28 EST (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-02 09:48:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.13 KB, text/plain)
2015-08-05 15:02 EDT, Emilio
no flags Details
File: environ (2.10 KB, text/plain)
2015-08-05 15:03 EDT, Emilio
no flags Details

  None (edit)
Description Emilio 2015-08-05 15:02:50 EDT
Version-Release number of selected component:
dnf-0.6.4-5.fc21

Additional info:
reporter:       libreport-2.3.0
cmdline:        /usr/bin/python -OO /bin/dnf update
executable:     /bin/dnf
kernel:         4.0.6-200.fc21.x86_64
runlevel:       N 5
type:           Python
uid:            0

Truncated backtrace:
base.py:122:_add_repo_to_sack:AssertionError: Can not load Yum repo.

Traceback (most recent call last):
  File "/bin/dnf", line 36, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 185, in user_main
    errcode = main(args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 84, in main
    return _main(base, args)
  File "/usr/lib/python2.7/site-packages/dnf/cli/main.py", line 134, in _main
    cli.run()
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 1070, in run
    self._process_demands()
  File "/usr/lib/python2.7/site-packages/dnf/cli/cli.py", line 788, in _process_demands
    load_available_repos=lar)
  File "/usr/lib/python2.7/site-packages/dnf/base.py", line 238, in fill_sack
    self._add_repo_to_sack(r.id)
  File "/usr/lib/python2.7/site-packages/dnf/base.py", line 122, in _add_repo_to_sack
    load_updateinfo=True)
AssertionError: Can not load Yum repo.

Local variables in innermost frame:
repo: <Repo updates>
hrepo: <_hawkey.Repo object at 0x7f03c4abb450>
self: <dnf.cli.cli.BaseCli object at 0x7f03c4aaa050>
name: u'updates'
Comment 1 Emilio 2015-08-05 15:02:57 EDT
Created attachment 1059621 [details]
File: backtrace
Comment 2 Emilio 2015-08-05 15:03:00 EDT
Created attachment 1059622 [details]
File: environ
Comment 3 Honza Silhan 2015-08-11 10:05:15 EDT
Thanks for the report. If you can reproduce it, can you upload the metadata (archived /var/cache/dnf, please?
Comment 4 Honza Silhan 2015-09-01 08:39:06 EDT
*** Bug 1258257 has been marked as a duplicate of this bug. ***
Comment 5 Honza Silhan 2015-10-26 09:04:01 EDT
*** Bug 1274999 has been marked as a duplicate of this bug. ***
Comment 6 Fedora End Of Life 2015-11-04 05:02:20 EST
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-12-02 09:48:24 EST
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.